testing::internal::IteratorTraits< Iterator > Struct Template Reference

`#include <gtest.h>`

## Public Types

typedef Iterator::value_type | value_type

## Detailed Description

### template<typename Iterator>
struct testing::internal::IteratorTraits< Iterator >

Definition at line 2200 of file gtest.h.

## Member Typedef Documentation

## value_type

template<typename Iterator >

typedef Iterator::value_type testing::internal::IteratorTraits< Iterator >::value_type

Definition at line 2201 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h